/*
 * tiffcheck.m - uses an NXBitmapImageRep object to check if a .tiff file
 * is not compressed.
 *
 * Version 1.0, Michael.Glenn@Dartmouth.edu, March 2, 1993.
 */
#import <appkit/NXBitmapImageRep.h>
#import <appkit/tiff.h>

needs_fixing (char *fname) {
   int c = (NX_TIFF_COMPRESSION_NONE-1);
   float f;
   id im;

   im = [[NXBitmapImageRep alloc] initFromFile:fname];
   if (im) {
      [im getCompression:&c andFactor:&f];
      [im free];
     }
   return (c == NX_TIFF_COMPRESSION_NONE) ? 1 : 0;
}

